package com.datarecovery.master.module.homepage;

import androidx.annotation.DrawableRes;
import androidx.annotation.IntDef;
import androidx.annotation.StringRes;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class FunctionBean {

    public static final int FILE_RECOVERY = 1;
    public static final int VIDEO_RECOVERY = 2;
    public static final int AUDIO_RECOVERY = 3;
    public static final int IMG_CLEARING = 4;


    @IntDef({FILE_RECOVERY, VIDEO_RECOVERY, AUDIO_RECOVERY, IMG_CLEARING})
    @Retention(RetentionPolicy.SOURCE)
    public @interface FunctionId {
    }

    private int functionId;
    @StringRes
    private int functionName;
    @DrawableRes
    private int functionIcon;


    public FunctionBean(@FunctionId int functionId, int functionName, int functionIcon) {
        this.functionId = functionId;
        this.functionName = functionName;
        this.functionIcon = functionIcon;
    }

    @FunctionId
    public int getFunctionId() {
        return functionId;
    }

    public int getFunctionName() {
        return functionName;
    }

    public int getFunctionIcon() {
        return functionIcon;
    }
}
